Skip to main content

Get customer by ID

GET /v1/public/customers/{id}

Returns one merchant-specific customer record.

Authorization

X-API-Key required with the customers:read scope

Parameters

NameLocationTypeRequiredDescription
idpathstringYesThe resource's returned id or externalId.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/customers/66c735e253f2836fbe941234" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Customer retrieved.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.

Success response example

{
"success": true,
"data": {
"id": "66c735e253f2836fbe941235",
"externalId": "P6d3kL9xQ2",
"name": "Alex Morgan",
"email": "alex@example.com",
"lifetimeStamps": 14,
"lifetimePoints": 230
}
}